@echo off
REM DOS Games Archive DOSBox launch script
REM 
REM Game: Lone Eagle Shareware 2.1
REM Configuration: standard
REM 
REM Please refer to the DOSBox manual and Wiki
REM for an explanation of commands
REM 
REM DOSBox: disable joystick (for online play)
config -set "joystick joysticktype=none"
REM DOSBox: configure CPU cycles
config -set "cpu cycles=max 100%% limit 9600"
REM DOSBox: set CPU core to simple
config -set "cpu core=simple"
REM DOSBox: set correct aspect ratio
config -set "render aspect=true"
cd LONEAGLE
REM DOSBox: loadfix (correct memory usage)
loadfix -25
LE.EXE
cd..
REM DOSBox: reset CPU cycles
config -set "cpu cycles=auto 7800 100%% limit 26800"
REM DOSBox: reset CPU core
config -set "cpu core=auto"
cls
echo Thank you for playing Lone Eagle Shareware!
echo.
echo To play again, type LE and press Enter
echo.
echo Your DOS Games Archive http://www.dosgamesarchive.com/
@echo on